For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all collections.
      • POSTCreate a collection.
      • GETGet a collection by ID.
      • PUTUpdate a collection by ID.
      • DELDelete a collection by ID.
      • GETGet all syncs for a given collection
      • GETGet view state for a collection.
      • PUTUpdate view state for a collection.
      • DELDelete view state for a collection.
      • GETList individual views for a collection.
      • POSTCreate an individual view.
      • PUTUpdate an individual view.
      • DELDelete an individual view.
LogoLogo
Scout DocsAccess Scout
EndpointsCollections

Update view state for a collection.

Beta
PUT
https://api.scoutos.com/v2/collections/:collection_id/views
PUT
/v2/collections/:collection_id/views
$curl -X PUT https://api.scoutos.com/v2/collections/collection_id/views \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "view_state": {
> "organization_id": "org_987654321",
> "collection_id": "col_123456789"
> }
>}'
1{
2 "success": true,
3 "data": {
4 "organization_id": "org_987654321",
5 "collection_id": "col_123456789",
6 "views": {},
7 "view_ids": [
8 "view_001"
9 ],
10 "active_view_id": "view_001",
11 "active_table_id": "table_01",
12 "display_settings": {},
13 "last_synced_at": "2024-01-15T09:30:00Z",
14 "created_at": "2024-01-15T09:30:00Z",
15 "updated_at": "2024-01-15T09:30:00Z"
16 },
17 "error": ""
18}
Was this page helpful?
Previous

Delete view state for a collection.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequired

Request

This endpoint expects an object.
view_stateobjectRequired
Complete view state for a collection

Response

Successful Response
successboolean
dataobject or null
Complete view state for a collection
errorstring or null

Errors

422
Unprocessable Entity Error